// warning! This code was generated by @vlr/type-constructor-gen
// manual changes to this file will be overwritten next time the code is regenerated.
import { Message } from "./message.type";
import { ItemValidation } from "./validation.type";

// methods for ItemValidation<T>
export function itemValidation<T>(
  _value: T,
  _valid: boolean,
  _show: boolean,
  _messages?: Message[],
  _required?: boolean,
  _maxLength?: number,
  ): ItemValidation<T> {
  return {
    _value,
    _valid,
    _show,
    _messages,
    _required,
    _maxLength,
  };
}
